.amenities div.ccm-block-page-list-page-entry-grid-thumbnail-hover {
    opacity: 1;
    -webkit-transition: opacity 0.2s;
    -moz-transition: opacity 0.2s;
    -ms-transition: opacity 0.2s;
    -o-transition: opacity 0.2s;
    transition: opacity 0.2s;
	background-color:rgba(0,0,0,.7) !important;
}

div.ccm-block-page-list-page-entry-grid-thumbnail a {
    position: relative;
    display: table;
}

div.ccm-block-page-list-page-entry-grid-thumbnail-hover {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.7);
    z-index: 2;
}

	.amenities .ccm-block-page-list-description{
	    opacity: 0;
		visibility: hidden;
     }
.ccm-block-page-list-description{
	display:none;
}
div.ccm-page div.ccm-block-page-list-thumbnail-grid-wrapper i.ccm-block-page-list-page-entry-grid-thumbnail-icon{
	display:none !important;
}
div.ccm-block-page-list-page-entry-grid-thumbnail-title-wrapper {
    display: table;
    width: 100%;
    height: 100%;
}

.amenities div.ccm-block-page-list-page-entry-grid-thumbnail-title {
    display: table-cell;
    width: 100%;
    text-align: center;
    height: 100%;
    vertical-align: middle;
    text-align: center;
    color: #D6CFC7;
	font-size:40px;
	padding: 0 15px;
}
.amenities .ccm-block-page-list-description{
	font-size:20px;
	color:white;
	padding: 3% 15%;
	-webkit-transition: opacity 0.4s;
    -moz-transition: opacity 0.4s;
    -ms-transition: opacity 0.4s;
    -o-transition: opacity 0.4s;
    transition: opacity 0.4s;
}
div.ccm-block-page-list-page-entry-grid-thumbnail-title i {
    display: none;
}
@media(min-width:768px){
	div.ccm-page div.ccm-block-page-list-thumbnail-grid-wrapper.amenities div.ccm-block-page-list-page-entry-grid-item{
		width:50%;
	}
	div.ccm-page div.ccm-block-page-list-thumbnail-grid-wrapper.amenities div.ccm-block-page-list-page-entry-grid-item {
        margin-bottom: 100px;
        padding-left: 50px;
        padding-right: 50px;
    }
}
@media(max-width:767px){
	.amenities div.ccm-block-page-list-page-entry-grid-thumbnail-title {  
	    font-size:28px;
    }
}